%global srcname uritemplate.py
%global modname uritemplate

%if 0%{?rhel}
%bcond_with python3
%else
%bcond_without python3
%endif

# Tests disabled by default due to lack of deps
%bcond_with tests

Name:           python-%{modname}
Version:        0.3.0
Release:        2%{?dist}
Summary:        Python module for URI template parsing for humans

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if %{with tests}
BuildRequires:  python-tox
%endif

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-tox
%endif

%endif

%description
A simple Python library to deal with URI templates


%package -n python2-%{modname}
Summary:       Python 2 module for URI template parsing
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
A simple Python 2 library to deal with URI templates

%if %{with python3}
%package -n python3-%{modname}
Summary:      Python 3 module for URI template parsing
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
A simple Python 3 library to deal with URI templates

%endif

%prep
%autosetup -n %{srcname}-%{version}


%build
# Delete existing egg-info data
rm -rf *.egg-info

%py2_build

%if %{with python3}
%py3_build
%endif


%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install

%if %{with python3}
%py3_install
%endif

%if %{with tests}

%check
%{__python2} setup.py test

%if %{with python3}
%{__python3} setup.py test
%endif

%endif

%files -n python2-%{modname}
%doc README.rst AUTHORS.rst HISTORY.rst
%license LICENSE
%{python2_sitelib}/%{modname}/*
%{python2_sitelib}/%{srcname}*egg-info

%if %{with python3}
%files -n python3-%{modname}
%doc README.rst AUTHORS.rst HISTORY.rst
%license LICENSE
%{python3_sitelib}/%{modname}/*
%{python3_sitelib}/%{srcname}*egg-info
%endif


%changelog
* Thu Dec 10 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.0-2
- Update to support EL7

* Thu Dec  3 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.0-1
- Initial packaging
